Bug 970466 - SELinux is preventing /usr/lib/xulrunner/plugin-container from 'name_bind' accesses on the udp_socket .
Summary: SELinux is preventing /usr/lib/xulrunner/plugin-container from 'name_bind' ac...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 17
Hardware: i686 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7beab7e954eb7c0f237de377cdb...
Keywords:
: 970415 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 05:45 UTC by WenbinChen
Modified: 2013-07-04 09:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 09:24:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description WenbinChen 2013-06-04 05:45:36 UTC
Description of problem:
SELinux is preventing /usr/lib/xulrunner/plugin-container from 'name_bind' accesses on the udp_socket .

*****  Plugin bind_ports (99.5 confidence) suggests  *************************

If you want to allow /usr/lib/xulrunner/plugin-container to bind to network port 8091
Then you need to modify the port type.
Do
# semanage port -a -t PORT_TYPE -p udp 8091
    where PORT_TYPE is one of the following: .

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If you believe that plugin-container should be allowed name_bind access on the  udp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:unreserved_port_t:s0
Target Objects                 [ udp_socket ]
Source                        plugin-containe
Source Path                   /usr/lib/xulrunner/plugin-container
Port                          8091
Host                          (removed)
Source RPM Packages           xulrunner-21.0-4.fc17.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.i686.PAE #1 SMP
                              Mon May 13 13:45:03 UTC 2013 i686 i686
Alert Count                   2
First Seen                    2013-06-04 09:51:13 CST
Last Seen                     2013-06-04 09:53:52 CST
Local ID                      6235907c-4e52-4a08-a5d4-cdedeb7b8df3

Raw Audit Messages
type=AVC msg=audit(1370310832.244:118): avc:  denied  { name_bind } for  pid=3687 comm="plugin-containe" src=8091 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=udp_socket


type=SYSCALL msg=audit(1370310832.244:118): arch=i386 syscall=socketcall success=yes exit=0 a0=2 a1=b5efe8a0 a2=b56faff4 a3=b5efe9e4 items=0 ppid=2331 pid=3687 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=plugin-containe exe=/usr/lib/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,unreserved_port_t,udp_socket,name_bind

audit2allow

#============= mozilla_plugin_t ==============
#!!!! This avc can be allowed using the boolean 'allow_ypbind'

allow mozilla_plugin_t unreserved_port_t:udp_socket name_bind;

audit2allow -R

#============= mozilla_plugin_t ==============
#!!!! This avc can be allowed using the boolean 'allow_ypbind'

allow mozilla_plugin_t unreserved_port_t:udp_socket name_bind;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.i686.PAE
type:           libreport

Comment 1 Miroslav Grepl 2013-06-04 15:10:58 UTC
Do you know what you were doing when this happened?

Comment 2 Miroslav Grepl 2013-06-04 15:11:14 UTC
*** Bug 970415 has been marked as a duplicate of this bug. ***

Comment 3 Daniel Walsh 2013-06-07 20:45:40 UTC
What plugin were you running, this plugin looks like it is binding a udp socket to port 8091 and waiting for a connection.

Are you using nis (ypbind)?

Comment 4 Fedora End Of Life 2013-07-04 00:58:10 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.